Home > Hpricot Error > Hpricot Error

Hpricot Error

gem Boris Barroso (boriscy) on 2009-04-22 00:40 I can't install hpricot gem on CentOS 5, you can check the error error installing nokogiri error failed to build gem native extension error message at this address http://dpaste.com/36490/, I have tried many things

Install Nokogiri

like reinstalling ruby ruby-devel I have installed almost all things needed, zlib zlib-devel and others. Report post Edit Move Delete topic Reply with quote Re: Can't install hpricot gem Eric Hodel (Guest) on 2009-04-22 05:47 On Apr 21, 2009, at 15:40, Boris Barroso wrote: > I can't install hpricot gem on CentOS 5, you can check the error > message > at this address http://dpaste.com/36490/, I have tried many things > like > reinstalling ruby ruby-devel I have installed almost all things > needed, > zlib zlib-devel and others. What is your ruby version? I suspect it is too old. Try with 1.8.6. Report post Edit Delete Reply with quote Re: Can't install hpricot gem Ruby Student (Guest) on 2009-04-22 15:19 On Tue, Apr 21, 2009 at 11:45 PM, Eric Hodel wrote: > I suspect it is too old. Try with 1.8.6. > > I, also, can't installed hpricot on Windows/XP, and I have the latest Ruby installed: C:\>ruby -v ruby 1.9.1p0 (2009-01-30 revision 21907) [i386-mingw32] C:\>gem install hpricot Building native extensions. This could take a while... ERROR: Error installing hpricot: ERROR: Failed to build gem native extension. C:/ruby/bin/ruby.exe extconf.rb install hpricot checking for main() in -lc... *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. Check the mkmf.log file for more details. You may need configuration options. Provided configuration options: --with-opt-dir --without-opt-dir --with-opt-include --without-opt-include=${opt-dir}/include --with-opt-lib --without-opt-lib=${opt-dir}/lib --with-make-prog --without-make-prog --srcdir=. --curdir --ruby=C:/ruby/bin/ruby --with-hpricot_scan-dir --without-hpricot_scan-dir --with-hpricot_scan-include --without-hpricot_scan-include=${hpricot_scan-dir}/include --with-hpricot_scan-lib --without-hpricot_scan-lib=${hpricot_scan-dir}/lib --with-clib --without-clib C:/ruby/lib/ruby/1.9.1/mkmf.rb:362:in `try_do': The complier failed to generate an executable file. (RuntimeError) You have to instal

Oct 18 12:41:31 2016 by yard 0.9.5 (ruby-2.3.1).

Sign in Pricing Blog Support Search GitHub This repository Watch 8 Star 165 Fork 54 tylerhunt/remit Code Issues 4 Pull requests 0 Projects 0 Wiki Pulse https://github.com/tylerhunt/remit/issues/9 Graphs New issue Error : "Could not find gem 'hpricot', required by 'remit', in any of the sources" #9 Open sonianand11 opened this Issue Apr 22, 2011 · 5 comments Projects None yet Labels None yet Milestone No milestone Assignees pboling 3 participants sonianand11 commented Apr 22, 2011 when I am trying to run server it gives me the hpricot error following error: "Could not find gem 'hpricot', required by 'remit', in any of the sources" Installed gems: 1)relax (0.0.7) 2)remit (2.0.1) 3)hpricot (0.8.4 i386-mswin32) Platform: windows 7 with Rails 3.0.5, Ruby192 I have included the statement " gem 'remit' " in my Gemfile. What should I do? Owner tylerhunt commented Apr 22, 2011 What does your Gemfile.lock look like? sonianand11 commented Apr 22, error error installing 2011 Gemfile.lock GEM remote: http://rubygems.org/ specs: abstract (1.0.0) actionmailer (3.0.5) actionpack (= 3.0.5) mail (~> 2.2.15) actionpack (3.0.5) activemodel (= 3.0.5) activesupport (= 3.0.5) builder (~> 2.1.2) erubis (~> 2.6.6) i18n (~> 0.4) rack (~> 1.2.1) rack-mount (~> 0.6.13) rack-test (~> 0.5.7) tzinfo (~> 0.3.23) activemerchant (1.12.1) activesupport (>= 2.3.8) braintree (>= 2.0.0) builder (>= 2.0.0) activemodel (3.0.5) activesupport (= 3.0.5) builder (~> 2.1.2) i18n (~> 0.4) activerecord (3.0.5) activemodel (= 3.0.5) activesupport (= 3.0.5) arel (~> 2.0.2) tzinfo (~> 0.3.23) activeresource (3.0.5) activemodel (= 3.0.5) activesupport (= 3.0.5) activesupport (3.0.5) arel (2.0.7) braintree (2.9.1) builder builder (2.1.2) erubis (2.6.6) abstract (>= 1.0.0) i18n (0.5.0) mail (2.2.15) activesupport (>= 2.3.6) i18n (>= 0.4.0) mime-types (~> 1.16) treetop (~> 1.4.8) mime-types (1.16) mysql2 (0.2.6-x86-mingw32) polyglot (0.3.1) rack (1.2.1) rack-mount (0.6.13) rack (>= 1.0.0) rack-test (0.5.7) rack (>= 1.0) rails (3.0.5) actionmailer (= 3.0.5) actionpack (= 3.0.5) activerecord (= 3.0.5) activeresource (= 3.0.5) activesupport (= 3.0.5) bundler (~> 1.0) railties (= 3.0.5) railties (3.0.5) actionpack (= 3.0.5) activesupport (= 3.0.5) rake (>= 0.8.7) thor (~> 0.14.4) rake (0.8.7) thor (0.14.6) treetop (1.4.9) polyglot (>= 0.3.1) tzinfo (0.3.24)

 
No related pages.